"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectRuntime = void 0;
const detectRuntime = () => {
    if (typeof process === 'object' && process && process.env) {
        return 'node';
    }
    if (typeof window === 'object') {
        return 'browser';
    }
    if (
    // @ts-ignore
    typeof WorkerGlobalScope !== 'undefined' && // this may sometimes be available in a CF worker, so check for importScripts
        // @ts-ignore
        typeof importScripts === 'function') {
        return 'web-worker';
    }
    return 'unknown';
};
exports.detectRuntime = detectRuntime;
//# sourceMappingURL=env.js.map